package com.steerinfo.ems.trmtimegran.service.impl;

import com.steerinfo.ems.trmtimegran.mapper.TRmTimegranMapper;
import com.steerinfo.ems.trmtimegran.model.TRmTimegran;
import com.steerinfo.ems.trmtimegran.service.ITRmTimegranService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;

/**
 * TRmTimegran服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-11 10:28
 * 类描述
 * 修订历史：
 * 日期：2019-10-11
 * 作者：generator
 * 参考：
 * 描述：TRmTimegran服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmTimegranService")
public class TRmTimegranServiceImpl extends BaseServiceImpl<TRmTimegran, String> implements ITRmTimegranService {

    @Autowired
    private TRmTimegranMapper tRmTimegranMapper;

    @Override
    protected IBaseMapper<TRmTimegran, String> getMapper() {
        return tRmTimegranMapper;
    }

    @Override
    public Set<TRmTimegranMapper> getIdAndName() {
        return tRmTimegranMapper.getIdAndName();
    }

    public List<TRmTimegran> getNameAndId(){
        List<TRmTimegran> rows = tRmTimegranMapper.getNameAndId();
        return rows;
    }

    public Integer getgetMaxBcode(){
        return tRmTimegranMapper.getMaxBcode();
    }
}
